#ifndef AbstractValueReaderH
#define AbstractValueReaderH

#include "device/sync/ValueReader.h"
#include <string>


class AbstractValueReader: public ValueReader
{
 private:
	AbstractValueReader();
	AbstractValueReader(const AgString & name);
    ~AbstractValueReader();
    AbstractValueReader(AbstractValueReader const&);
    void operator=(AbstractValueReader const&);
    AgString name;

 public:
    DataTablePtr read(CallerControllerPtr callerController,RequestControllerPtr requestController);

	static AbstractValueReader& getInstance()
    {
     static AbstractValueReader instance;
     return instance;
    }
    const AgString& toString();

 
    
};

#endif 
